Bug 886320 - Review Request: mingw-nspr - MinGW build of Netscape Portable Runtime
Summary: Review Request: mingw-nspr - MinGW build of Netscape Portable Runtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: mingw-nss
TreeView+ depends on / blocked
 
Reported: 2012-12-12 03:05 UTC by greg.hellings
Modified: 2016-08-14 16:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-22 22:06:49 UTC
marcandre.lureau: fedora-review+


Attachments (Terms of Use)

Description greg.hellings 2012-12-12 03:05:31 UTC
Spec URL: http://dl.thehellings.com/mingw32/nspr/mingw-nspr.spec
SRPM URL: http://dl.thehellings.com/mingw32/nspr/mingw-nspr-4.9.4-1.fc17.src.rpm
Description: NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

Fedora Account System Username: greghellings

Comment 1 Marc-Andre Lureau 2013-02-20 15:05:55 UTC
(it builds succesfully, if binfmt/wine is disabled)

Comment 3 Marc-Andre Lureau 2015-11-25 17:11:44 UTC

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- You should update to the latest release in sync with Fedora
- use %global instead of %define unless justified.
  I think you could just drop it.

Note an isse I think, but surprised by debuginfo-without-sources rpmlint error.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MPL (v2.0)", "BSD (3 clause) ISC", "*No copyright* Beerware
     MPL (v2.0)", "Unknown or generated", "*No copyright* MPL (v2.0)". 29
     files have unknown license. Detailed output of licensecheck in
     /home/elmarco/pkg/886320-mingw-nspr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-nspr , mingw32-nspr-static , mingw64-nspr , mingw64-nspr-
     static , mingw32-nspr-debuginfo , mingw64-nspr-debuginfo
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _pkg_name nspr
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-nspr-4.10.9-1.fc23.noarch.rpm
          mingw32-nspr-static-4.10.9-1.fc23.noarch.rpm
          mingw64-nspr-4.10.9-1.fc23.noarch.rpm
          mingw64-nspr-static-4.10.9-1.fc23.noarch.rpm
          mingw32-nspr-debuginfo-4.10.9-1.fc23.noarch.rpm
          mingw64-nspr-debuginfo-4.10.9-1.fc23.noarch.rpm
          mingw-nspr-4.10.9-1.fc23.src.rpm
mingw32-nspr.noarch: W: spelling-error %description -l en_US malloc -> mallow
mingw32-nspr.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/nspr.pc
mingw32-nspr-static.noarch: W: spelling-error %description -l en_US malloc -> mallow
mingw32-nspr-static.noarch: W: no-documentation
mingw32-nspr-static.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libplc4_s.a
mingw32-nspr-static.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libplds4_s.a
mingw32-nspr-static.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libnspr4_s.a
mingw64-nspr.noarch: W: spelling-error %description -l en_US malloc -> mallow
mingw64-nspr.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/nspr.pc
mingw64-nspr-static.noarch: W: spelling-error %description -l en_US malloc -> mallow
mingw64-nspr-static.noarch: W: no-documentation
mingw64-nspr-static.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libplds4_s.a
mingw64-nspr-static.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libplc4_s.a
mingw64-nspr-static.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libnspr4_s.a
mingw32-nspr-debuginfo.noarch: E: debuginfo-without-sources
mingw64-nspr-debuginfo.noarch: E: debuginfo-without-sources
mingw-nspr.src: W: spelling-error %description -l en_US malloc -> mallow
7 packages and 0 specfiles checked; 2 errors, 15 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mingw64-nspr.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/nspr.pc
mingw64-nspr-static.noarch: W: no-documentation
mingw64-nspr-static.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libnspr4_s.a
mingw64-nspr-static.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libplc4_s.a
mingw64-nspr-static.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libplds4_s.a
mingw32-nspr-debuginfo.noarch: E: debuginfo-without-sources
mingw64-nspr-debuginfo.noarch: E: debuginfo-without-sources
mingw32-nspr.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/nspr.pc
mingw32-nspr-static.noarch: W: no-documentation
mingw32-nspr-static.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libplds4_s.a
mingw32-nspr-static.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libnspr4_s.a
mingw32-nspr-static.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libplc4_s.a
6 packages and 0 specfiles checked; 2 errors, 10 warnings.



Requires
--------
mingw64-nspr (rpmlib, GLIBC filtered):
    mingw64(advapi32.dll)
    mingw64(kernel32.dll)
    mingw64(libnspr4.dll)
    mingw64(msvcrt.dll)
    mingw64(mswsock.dll)
    mingw64(user32.dll)
    mingw64(winmm.dll)
    mingw64(ws2_32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw64-nspr-static (rpmlib, GLIBC filtered):
    mingw64-nspr

mingw32-nspr-debuginfo (rpmlib, GLIBC filtered):

mingw64-nspr-debuginfo (rpmlib, GLIBC filtered):

mingw32-nspr (rpmlib, GLIBC filtered):
    mingw32(advapi32.dll)
    mingw32(kernel32.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libnspr4.dll)
    mingw32(msvcrt.dll)
    mingw32(mswsock.dll)
    mingw32(user32.dll)
    mingw32(winmm.dll)
    mingw32(ws2_32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw32-nspr-static (rpmlib, GLIBC filtered):
    mingw32-nspr



Provides
--------
mingw64-nspr:
    mingw64(libnspr4.dll)
    mingw64(libplc4.dll)
    mingw64(libplds4.dll)
    mingw64-nspr

mingw64-nspr-static:
    mingw64-nspr-static

mingw32-nspr-debuginfo:
    mingw32-nspr-debuginfo

mingw64-nspr-debuginfo:
    mingw64-nspr-debuginfo

mingw32-nspr:
    mingw32(libnspr4.dll)
    mingw32(libplc4.dll)
    mingw32(libplds4.dll)
    mingw32-nspr

mingw32-nspr-static:
    mingw32-nspr-static



Source checksums
----------------
https://ftp.mozilla.org/pub/nspr/releases/v4.10.9/src/nspr-4.10.9.tar.gz :
  CHECKSUM(SHA256) this package     : 4112ff6ad91d32696ca0c6c3d4abef6367b5dc0127fa172fcb3c3ab81bb2d881
  CHECKSUM(SHA256) upstream package : 4112ff6ad91d32696ca0c6c3d4abef6367b5dc0127fa172fcb3c3ab81bb2d881


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 886320
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Marc-Andre Lureau 2015-11-25 17:35:47 UTC
changes look, good

Comment 6 greg.hellings 2015-11-25 18:08:36 UTC
Thanks, guys. I'm submitting the package request now.

Comment 7 Till Maas 2015-11-26 21:30:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mingw-nspr

Comment 8 greg.hellings 2015-11-28 05:34:53 UTC
I've kicked off packaging for Fedora 22, 23, and Rawhide. There are missing dependencies for EPEL, so I'll look into getting those closed out and then making that build as well.

Comment 9 Fedora Update System 2015-11-28 05:42:45 UTC
mingw-nspr-4.10.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8373d34eba

Comment 10 Fedora Update System 2015-11-28 05:43:24 UTC
mingw-nspr-4.10.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-84a0a3a39b

Comment 11 Erik van Pienbroek 2015-11-28 12:28:51 UTC
@Greg Hellings: are you talking about mingw-dlfcn? That package currently isn't in EPEL7 yet, but are you sure that nspr really requires it?

Basically mingw-dlfcn is just a wrapper for the unix-specific functions dlopen/dlclose/dlsym. The Win32 API functions LoadLibrary, FreeLibrary and GetProcAddress are their Windows equivalents.

I would expect that nspr uses these Win32 API functions already in their native Windows builds. If this really is the case then it is preferred to use the Win32 API directly instead of using a wrapper library (to avoid dependency bloat and to remain as close to upstream packaging as possible).

Comment 12 Fedora Update System 2015-11-29 00:54:25 UTC
mingw-nspr-4.10.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mingw-nspr'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8373d34eba

Comment 13 Fedora Update System 2015-11-29 02:23:02 UTC
mingw-nspr-4.10.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mingw-nspr'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-84a0a3a39b

Comment 14 Upstream Release Monitoring 2015-12-03 20:42:46 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 15 Upstream Release Monitoring 2015-12-03 20:43:58 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 16 Upstream Release Monitoring 2015-12-03 20:44:50 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 17 Fedora Update System 2015-12-22 22:06:46 UTC
mingw-nspr-4.10.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-12-26 21:52:26 UTC
mingw-nspr-4.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.